Skip to content
Commits on Jan 21, 2010
  1. @josh

    Warn if inmemory store is used

    josh committed Jan 21, 2010
  2. @josh
  3. @josh
Commits on Jan 18, 2010
  1. @josh
  2. @josh

    Lazy include middleware

    josh committed Jan 18, 2010
  3. @josh
  4. @josh

    Fix gem version dep

    josh committed Jan 18, 2010
Commits on Jan 13, 2010
  1. @josh
  2. @josh

    Note rack branch merge in CHANGELOG

    josh committed Jan 13, 2010
  3. @josh

    Inline tmp dir config

    josh committed Jan 13, 2010
  4. @josh

    Remove unneeded requires

    josh committed Jan 13, 2010
  5. @josh

    Depend on rack-openid

    josh committed Jan 13, 2010
  6. @josh

    Bump ruby-openid dep

    josh committed Jan 13, 2010
  7. @josh
  8. @josh

    store= for assigning memcache store

    josh committed Jan 13, 2010
  9. @josh

    Relative require for rack/openid

    josh committed Jan 13, 2010
  10. @josh
  11. @josh

    Axe DB store, use memcache.

    josh committed Jan 13, 2010
  12. @packagethief

    Merge branch 'master' into rack

    packagethief committed Jan 13, 2010
    * master:
      Use relative requires for test_helper
      Assume our lib dir is already in the load path
      Require openid so we can load like a library in the absence of init.rb
      Fix invalid identifier test. A leading exclamation point signifies an XRI and is skipped when normalizing
      Fix test harness. Don't depend on rubygems: let the Rakefile take care of it
      Prefer Rails.root to RAILS_ROOT
      Use ActionController::Dispatcher.to_prepare for forward compat with Rails 3
      Use a standard require of ruby-openid for Rails 3 apps
      Use relative requires for test_helper
      Assume our lib dir is already in the load path
      Require openid so we can load like a library in the absence of init.rb
      Fix invalid identifier test. A leading exclamation point signifies an XRI and is skipped when normalizing
      Fix test harness. Don't depend on rubygems: let the Rakefile take care of it
      Prefer Rails.root to RAILS_ROOT
      Use ActionController::Dispatcher.to_prepare for forward compat with Rails 3
      Use a standard require of ruby-openid for Rails 3 apps
    
    Conflicts:
    	init.rb
    	lib/open_id_authentication.rb
  13. @packagethief

    Merge branch 'master' of git://github.com/rails/open_id_authentication

    packagethief committed Jan 13, 2010
    * 'master' of git://github.com/rails/open_id_authentication:
      Use relative requires for test_helper
      Assume our lib dir is already in the load path
      Require openid so we can load like a library in the absence of init.rb
      Fix invalid identifier test. A leading exclamation point signifies an XRI and is skipped when normalizing
      Fix test harness. Don't depend on rubygems: let the Rakefile take care of it
      Prefer Rails.root to RAILS_ROOT
      Use ActionController::Dispatcher.to_prepare for forward compat with Rails 3
      Use a standard require of ruby-openid for Rails 3 apps
Commits on Jan 6, 2010
  1. @packagethief

    Use relative requires for test_helper

    packagethief committed with rails Jan 6, 2010
  2. @packagethief
  3. @packagethief
  4. @packagethief

    Fix invalid identifier test. A leading exclamation point signifies an…

    packagethief committed with rails Jan 6, 2010
    … XRI and is skipped when normalizing
  5. @packagethief
  6. @packagethief

    Prefer Rails.root to RAILS_ROOT

    packagethief committed with rails Jan 6, 2010
  7. @packagethief
  8. @packagethief
  9. @packagethief
  10. @packagethief
  11. @packagethief
  12. @packagethief

    Fix invalid identifier test. A leading exclamation point signifies an…

    packagethief committed Jan 6, 2010
    … XRI and is skipped when normalizing
  13. @packagethief
  14. @packagethief
  15. @packagethief
Something went wrong with that request. Please try again.